Package org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections

# Class DiscoveryCollectionsDefaultCrs

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.DiscoveryCollectionsDefaultCrs

public class DiscoveryCollectionsDefaultCrs extends AbstractDiscoveryCollections
Verifies objects in the paths /collections

     Abstract Test 2: /conf/crs/default-crs
     Test Purpose: Verify that the list of supported CRSs includes the default CRS.
     Requirement: /req/crs/fc-md-crs-list B

     Test Method
     For each string value in a crs property in a collection object (for each path /collections and /collections/{collectionId})
     validate that either
     http://www.opengis.net/def/crs/OGC/1.3/CRS84 or
     http://www.opengis.net/def/crs/OGC/1.3/CRS84h
     is included in the array, if the collection has a spatial extent, i.e., is a spatial feature collection.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `noOfCollections`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoveryCollectionsDefaultCrs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `verifyCollectionsPathCollectionCrsPropertyContainsDefaultCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)`
  Test: crs property in the collection objects in the path /collections

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections

  `collectionItemUris, collectionsResponses, retrieveRequiredInformationFromTestContext`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModel`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscoveryCollectionsDefaultCrs

    public DiscoveryCollectionsDefaultCrs()

- ## Method Details

  - ### verifyCollectionsPathCollectionCrsPropertyContainsDefaultCrs

    public void verifyCollectionsPathCollectionCrsPropertyContainsDefaultCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)
    Test: crs property in the collection objects in the path /collections
    Parameters:
      `testPoint` - test point to test, never `null`
      `jsonPath` - the /collections JSON, never `null`
      `collection` - the /collection object, never `null`